package remote.demo.Native;

//import remote.iWatchDVR.Native.PeerSDK.Peer.Event.Args.VideoArrivedEventArgs;


public abstract class NativeObject {

	protected long mPtr = 0x0;
	protected long mPtrAddress = 0x0;
	protected long mJPtr = 0x0; // JObject


	abstract protected void nativeRelease();

	
	public long getNative() {
		return mPtr;
	}

	public long getNativeAddress() {
		return mPtrAddress;
	}
}
